package com.usky.issue.service.enums;

import lombok.Getter;

/**
 * 触发事件编码
 *
 * @author fyc
 * @date 2026-05-21
 */
@Getter
public enum TriggerEventCodeEnum {

    SYNC_ORG("SYNC_ORG", "启用同步组织", "新增、删除、修改组织信息时触发同步"),
    SYNC_USER("SYNC_USER", "启用同步用户", "新增、删除、修改用户信息时触发同步");

    private final String code;
    private final String name;
    private final String description;

    TriggerEventCodeEnum(String code, String name, String description) {
        this.code = code;
        this.name = name;
        this.description = description;
    }
}
